diff --git a/web/regression/feature_utils/pgadmin_page.py b/web/regression/feature_utils/pgadmin_page.py
index c44f62358..e648bc625 100644
--- a/web/regression/feature_utils/pgadmin_page.py
+++ b/web/regression/feature_utils/pgadmin_page.py
@@ -368,333 +376,423 @@ class PgadminPage:
                   "click_a_tree_node seems empty")
         return operation_status
 
-    def toggle_open_servers_group(self):
-        """This will open Servers group to display underlying nodes"""
-        is_expanded = False
+    def click_to_expand_tree_node(self, tree_node_web_element,
+                                  tree_node_exp_check_xpath):
+        """
+        Method clicks passed webelement to expand specified tree node
+        :param tree_node_web_element:
+        :param tree_node_exp_check_xpath:
+        :return: True is tree_node_exp_check_xpath present in DOM else false
+        """
+        webdriver.ActionChains(self.driver).double_click(
+            tree_node_web_element).perform()
+        if self.check_if_element_exist_by_xpath(tree_node_exp_check_xpath):
+            return True
+        else:
+            return False
+
+    def expand_server_group_node(self, server_group_name):
+        """
+        Expands specified server group
+        :param server_group_name:
+        :return: True is server group is expanded else false
+        """
+        server_group_expanded = False
         self.wait_for_spinner_to_disappear()
-        if self.check_if_element_exist_by_xpath(
-                TreeAreaLocators.server_group_node):
-            if self.get_expansion_status_of_node(
-                    TreeAreaLocators.server_group_node_exp_status):
-                is_expanded = True
+        server_group_node_xpath = \
+            TreeAreaLocators.server_group_node(server_group_name)
+        server_group_node_exp_status_xpath = \
+            TreeAreaLocators.server_group_node_exp_status(server_group_name)
+        server_group_node = self.check_if_element_exists_with_scroll(
+            server_group_node_xpath)
+
+        if server_group_node:
+            if self.check_if_element_exist_by_xpath(
+                    server_group_node_exp_status_xpath, 1):
+                server_group_expanded = True
             else:
-                webdriver.ActionChains(self.driver).double_click(
-                    self.find_by_xpath(
-                        TreeAreaLocators.
-                        server_group_node)).perform()
-                if self.check_if_element_exist_by_xpath(
-                        TreeAreaLocators.server_group_sub_nodes):
-                    is_expanded = True
+                server_group_expanded = self.click_to_expand_tree_node(
+                    server_group_node, server_group_node_exp_status_xpath)
+                if server_group_expanded:
+                    server_group_expanded = True
                 else:
-                    print(
-                        "(toggle_open_servers_group)The Server Group "
-                        "node is clicked to expand but it is not expanded",
-                        file=sys.stderr)
+                    print("(expand_server_group_node)The Server Group node is "
+                          "clicked to expand but it is not expanded",
+                          file=sys.stderr)
         else:
-            print("The Server Group node is not visible",
+            print("(expand_server_group_node)The Server Group node not found",
                   file=sys.stderr)
-        return is_expanded
+        return server_group_expanded
 
-    def expand_server_node(self, server_name, server_password):
-        """will expand a particular server node"""
-        server_node_expansion_status = False
-        if self.toggle_open_servers_group():
-            if self.wait_for_elements_to_appear(
-                self.driver,
-                    TreeAreaLocators.server_group_sub_nodes):
-                subnodes_of_servers = self.find_by_xpath_list(
-                    TreeAreaLocators.server_group_sub_nodes)
-                subnodes_of_servers_expansion_status = \
-                    self.find_by_xpath_list(
-                        TreeAreaLocators.
-                        server_group_sub_nodes_exp_status)
-                index_of_server_node = self.get_index_of_element(
-                    subnodes_of_servers, server_name)
-
-                server_node_expansion_status = self.click_expand_server_node(
-                    subnodes_of_servers_expansion_status,
-                    index_of_server_node,
-                    subnodes_of_servers,
-                    server_name,
-                    server_password)
+    def expand_server_node(self, server_group_name, server_name,
+                           server_password):
+        """
+        Method expands specified server node
+        :param server_group_name: containing server
+        :param server_name:
+        :param server_password:
+        :return: true if server node is expnaded else false
+        """
+        server_expanded = False
+        server_node_xpath = TreeAreaLocators.server_node(server_name)
+        server_node_exp_status_xpath = \
+            TreeAreaLocators.server_node_exp_status(server_name)
+        if self.expand_server_group_node(server_group_name):
+            server_node = \
+                self.check_if_element_exists_with_scroll(server_node_xpath)
+            if server_node:
+                self.driver.execute_script(
+                    self.js_executor_scrollintoview_arg, server_node)
+                if self.check_if_element_exist_by_xpath(
+                        server_node_exp_status_xpath, 1):
+                    server_expanded = True
+                else:
+                    server_expanded = self.click_expand_server_node(
+                        server_name, server_password, server_node)
+                    if not server_expanded:
+                        print("(expand_server_node)The Server node is not "
+                              "expnaded", file=sys.stderr)
+            else:
+                print("(expand_server_node)The Server node not found",
+                      file=sys.stderr)
         else:
-            print(
-                "(expand_server_node) The Servers node is"
-                " not expanded",
-                file=sys.stderr)
-        return server_node_expansion_status
+            print("The server group node is not expanded", file=sys.stderr)
+        return server_expanded
 
-    def click_expand_server_node(self, subnodes_of_servers_expansion_status,
-                                 index_of_server_node, subnodes_of_servers,
-                                 server_name, server_password):
+    def click_expand_server_node(self, server_name, server_password,
+                                 server_node):
         """
         Method actually clicks on server node to expand
-        :param subnodes_of_servers_expansion_status:
-        :param index_of_server_node:
-        :param subnodes_of_servers:
         :param server_name:
         :param server_password:
+        :param server_node:
         :return: True is click action is successful & server node expanded
         """
         server_node_expansion_status = False
-        if not self.check_server_is_connected(
-                index_of_server_node):
-            if self.click_and_connect_server(
-                subnodes_of_servers[index_of_server_node],
-                    server_password):
+        if self.check_server_is_connected(server_name):
+            if self.check_if_element_exist_by_xpath(
+                    TreeAreaLocators.server_node_exp_status(server_name), 1):
                 server_node_expansion_status = True
             else:
-                print(
-                    "(expand_server_node)The server node is "
-                    "not expanded",
-                    file=sys.stderr)
-        else:
-            if not self.get_expansion_status_of_node_element(
-                subnodes_of_servers_expansion_status[
-                    index_of_server_node]):
+                # if server is connected but not expanded
                 webdriver.ActionChains(self.driver).double_click(
-                    subnodes_of_servers[
-                        index_of_server_node]).perform()
-                if self.wait_for_elements_to_appear(
-                    self.driver, TreeAreaLocators.
-                        sub_nodes_of_a_server_node(server_name),
-                        30):
+                    server_node).perform()
+                if self.check_if_element_exist_by_xpath(
+                        TreeAreaLocators.server_node_exp_status(server_name)):
                     server_node_expansion_status = True
-            else:
+        else:
+            if self.click_and_connect_server(server_name, server_password):
                 server_node_expansion_status = True
+            else:
+                print("(expand_server_node)The server node is not expanded",
+                      file=sys.stderr)
         return server_node_expansion_status
 
-    def expand_databases_node(self, server_name, server_password):
-        """will expand databases node under server node"""
-        databases_node_expanded = False
-        if self.expand_server_node(server_name, server_password):
-            if self.wait_for_elements_to_appear(
-                self.driver,
-                    TreeAreaLocators.sub_nodes_of_a_server_node(server_name)):
-                subnodes_of_server_node = self.find_by_xpath_list(
-                    TreeAreaLocators.sub_nodes_of_a_server_node(server_name))
-                subnode_of_server_node_exp_status = self.find_by_xpath_list(
-                    TreeAreaLocators.sub_nodes_of_a_server_node_exp_status(
-                        server_name))
-                index_of_databases_node = self.get_index_of_element(
-                    subnodes_of_server_node,
-                    "Databases")
-                time.sleep(2)
-                expansion_status = self.get_expansion_status_of_node_element(
-                    subnode_of_server_node_exp_status[index_of_databases_node])
-                if not expansion_status:
-                    databases_node_expanded = \
-                        self.click_to_expand_databases_node(
-                            subnodes_of_server_node,
-                            index_of_databases_node,
-                            server_name)
-                else:
-                    databases_node_expanded = True
-        else:
-            print("The server/previous nodes not expanded",
+    def check_server_is_connected(self, server_name):
+        """
+        This will check connected status of a server"
+        :param server_name:
+        :return: true if server is connected
+        """
+        server_connected = False
+        try:
+            server_connection_status_element = self.find_by_xpath(
+                TreeAreaLocators.server_connection_status_element(server_name))
+            server_class = server_connection_status_element.get_attribute(
+                'class')
+            if server_class == 'icon-pg' or server_class == 'icon-ppas':
+                server_connected = True
+        except Exception as e:
+            print("There is some exception thrown in the function "
+                  "check_server_is_connected and is: " + str(e),
                   file=sys.stderr)
-        return databases_node_expanded
+        return server_connected
 
-    def click_to_expand_databases_node(self, subnodes_of_server_node,
-                                       index_of_databases_node, server_name):
+    def click_and_connect_server(self, server_name, password):
         """
-        Method clicks on databases node of specified server to expand
-        :param subnodes_of_server_node:
-        :param index_of_databases_node:
+        Method will connect to server with password
         :param server_name:
-        :return: True if database node click is successful & expanded
+        :param password:
+        :return:
         """
-        retry = 5
-        databases_node_expanded = False
-        while retry > 0:
-            webdriver.ActionChains(self.driver).double_click(
-                subnodes_of_server_node[
-                    index_of_databases_node].find_element_by_xpath(
-                    ".//*[@class='aciTreeItem']")
-            ).perform()
-            if self.wait_for_elements_to_appear(
-                self.driver, TreeAreaLocators.
-                    sub_nodes_of_databases_node(server_name), 3):
-                databases_node_expanded = True
-                break
-            else:
-                retry -= 1
-        return databases_node_expanded
+        server_connection_status = False
+        try:
+            server_node_ele = self.find_by_xpath(
+                TreeAreaLocators.server_node(server_name))
+            webdriver.ActionChains(self.driver). \
+                double_click(server_node_ele).perform()
+            if self.check_if_element_exist_by_xpath(
+                    ConnectToServerDiv.ok_button):
+                field = self.find_by_xpath(
+                    ConnectToServerDiv.password_field)
+                self.fill_input(field, password)
+                self.find_by_xpath(ConnectToServerDiv.ok_button).click()
+                self.wait_for_element_to_disappear(
+                    lambda driver: driver.find_element_by_xpath(
+                        ConnectToServerDiv.ok_button))
+                if self.check_if_element_exist_by_xpath(
+                        ConnectToServerDiv.error_message, 2):
+                    print(
+                        "While entering password in click_and_connect_server "
+                        "function, error is occurred : " + str(
+                            self.find_by_xpath(
+                                ConnectToServerDiv.error_message).text),
+                        file=sys.stderr)
+                else:
+                    server_connection_status = True
+        except Exception as e:
+            print(
+                "There is some exception thrown click_and_connect_server "
+                "and is: " + str(
+                    e), file=sys.stderr)
+        return server_connection_status
 
-    def click_to_expand_database_node(self, sub_nodes_of_databases_node,
-                                      index_of_required_db_node,
-                                      name_of_database):
+    def expand_databases_node(self, server_group_name, server_name,
+                              server_password):
+        """
+        Method expands Databases node of specfied server
+        :param server_group_name:
+        :param server_name:
+        :param server_password:
+        :return:
         """
-        Method clicks on specified database name from expanded databases node
-        of server.
-        :param sub_nodes_of_databases_node:
-        :param index_of_required_db_node:
-        :param name_of_database:
-        :return: True if particular database click is successful & expanded
+        return self.expand_server_child_node(server_group_name, server_name,
+                                             server_password, "Databases")
+
+    def expand_server_child_node(self, server_group_name, server_name,
+                                 server_password, server_child_node_name):
         """
-        retry = 5
-        db_node_expanded_status = False
-        self.driver.execute_script(self.js_executor_scrollintoview_arg,
-                                   sub_nodes_of_databases_node[
-                                       index_of_required_db_node])
-        while retry > 0:
-            webdriver.ActionChains(self.driver).double_click(
-                sub_nodes_of_databases_node[
-                    index_of_required_db_node]).perform()
+        Method expands specified server node's child
+        :param server_group_name:
+        :param server_name:
+        :param server_password:
+        :param server_child_node_name: to be expanded
+        :return: true is child node is expanded else false
+        """
+        server_child_expanded = False
+        server_child_node_xpath = TreeAreaLocators. \
+            server_child_node(server_name, server_child_node_name)
+        server_child_node_exp_status_xpath = TreeAreaLocators. \
+            server_child_node_exp_status(server_name, server_child_node_name)
+
+        if self.expand_server_node(server_group_name, server_name,
+                                   server_password):
             if self.check_if_element_exist_by_xpath(
-                "//div[@class='ajs-header'and text()='INTERNAL SERVER "
-                    "ERROR']", 1):
-                try:
-                    self.click_modal('OK')
-                except Exception:
-                    pass
-                retry -= 1
+                    server_child_node_exp_status_xpath, 1):
+                server_child_expanded = True
             else:
-                break
-        if self.wait_for_elements_to_appear(
-            self.driver, TreeAreaLocators.
-                sub_nodes_of_database_node(
-                name_of_database)):
-            db_node_expanded_status = True
-        return db_node_expanded_status
-
-    def expand_database_node(self, server_name, server_password,
-                             name_of_database):
-        """will expand database node under databases node"""
-        db_node_expanded_status = False
-        if self.expand_databases_node(server_name, server_password):
-            sub_nodes_of_databases_node = self.find_by_xpath_list(
-                TreeAreaLocators.sub_nodes_of_databases_node(server_name))
-            index_of_required_db_node = self.get_index_of_element(
-                sub_nodes_of_databases_node,
-                name_of_database)
-            expansion_status = self.get_expansion_status_of_node_element(
-                self.find_by_xpath_list(
-                    TreeAreaLocators.
-                    sub_nodes_of_databases_node_exp_status(
-                        server_name))[
-                    index_of_required_db_node])
-            if not expansion_status:
-                db_node_expanded_status = self.click_to_expand_database_node(
-                    sub_nodes_of_databases_node, index_of_required_db_node,
-                    name_of_database)
-            else:
-                db_node_expanded_status = True
+                child_node_ele = self.check_if_element_exists_with_scroll(
+                    server_child_node_xpath)
+                server_child_expanded = self.click_to_expand_tree_node(
+                    child_node_ele, server_child_node_exp_status_xpath)
+                if not server_child_expanded:
+                    print("Child not is not expanded after clickng ",
+                          file=sys.stderr)
         else:
-            print("The databases/previous nodes not expanded",
-                  file=sys.stderr)
-        return db_node_expanded_status
-
-    def toggle_open_schemas_node(self, server_name, server_password,
-                                 name_of_database):
-        """will expand schemas node under a db node"""
-        expansion_status = False
-        if self.expand_database_node(server_name, server_password,
-                                     name_of_database):
-            sub_nodes_db_node = self.find_by_xpath_list(
-                TreeAreaLocators.sub_nodes_of_database_node(
-                    name_of_database))
-            index_of_schemas_node = self.get_index_of_element(
-                sub_nodes_db_node, "Schemas")
-            expansion_status = self.get_expansion_status_of_node_element(
-                self.find_by_xpath_list(
-                    TreeAreaLocators.sub_nodes_of_database_node_exp_status(
-                        name_of_database))[
-                    index_of_schemas_node])
-            if not expansion_status:
+            print("The server/previous nodes not expanded", file=sys.stderr)
+        return server_child_expanded
+
+    def expand_database_node(self, server_group_name, server_name,
+                             server_password, database_name):
+        """
+        will expand database node under databases node"
+        :param server_group_name:
+        :param server_name:
+        :param server_password:
+        :param database_name:
+        :return:
+        """
+        database_expanded = False
+        database_node_xpath = TreeAreaLocators.database_node(database_name)
+        database_node_exp_xpath = \
+            TreeAreaLocators.database_node_exp_status(database_name)
+
+        if self.expand_databases_node(
+                server_group_name, server_name, server_password):
+            database_node = \
+                self.check_if_element_exists_with_scroll(database_node_xpath)
+            if database_node:
                 self.driver.execute_script(
-                    self.js_executor_scrollintoview_arg,
-                    sub_nodes_db_node[index_of_schemas_node])
-                webdriver.ActionChains(self.driver).double_click(
-                    sub_nodes_db_node[index_of_schemas_node]).perform()
-                if self.wait_for_elements_to_appear(
-                    self.driver, TreeAreaLocators.
-                        sub_nodes_of_schemas_node(name_of_database)):
-                    expansion_status = True
+                    self.js_executor_scrollintoview_arg, database_node)
+                if self.check_if_element_exist_by_xpath(
+                        database_node_exp_xpath, 1):
+                    database_expanded = True
+                else:
+                    database_expanded = self.click_to_expand_tree_node(
+                        database_node, database_node_exp_xpath)
             else:
-                expansion_status = True
+                print("Database node not found - ", file=sys.stderr)
         else:
-            print(
-                "(expand_schemas_node) database/previous nodes "
-                "are not expanded",
-                file=sys.stderr)
-        return expansion_status
-
-    def toggle_open_schema_node(
-        self, server_name, server_password,
-            name_of_database, name_of_schema_node):
-        """will expand schema node under schemas node"""
-        expansion_status = False
-        if self.toggle_open_schemas_node(
-                server_name, server_password, name_of_database):
-            sub_nodes_schemas_node = self.find_by_xpath_list(
-                TreeAreaLocators.sub_nodes_of_schemas_node(
-                    name_of_database))
-            index_of_schema_node = self.get_index_of_element(
-                sub_nodes_schemas_node,
-                name_of_schema_node)
-            expansion_status = self.get_expansion_status_of_node_element(
-                self.find_by_xpath_list(
-                    TreeAreaLocators.sub_nodes_of_schemas_node_exp_status(
-                        name_of_database))[
-                    index_of_schema_node])
-            if not expansion_status:
+            print("The databases/previous nodes not expanded", file=sys.stderr)
+        return database_expanded
+
+    # TODO - We might need this method
+    # def click_to_expand_database_node(self, database_name, database_node):
+    #     """
+    #     Method clicks on specified database name from expanded databases node
+    #     of server.
+    #     :param sub_nodes_of_databases_node:
+    #     :param index_of_required_db_node:
+    #     :param name_of_database:
+    #     :return: True if particular database click is successful & expanded
+    #     """
+    #     database_expanded = False
+    #     if self.check_if_element_exist_by_xpath(
+    #     TreeAreaLocators.database_node_exp_status(database_name), 2):
+    #         database_expanded = True
+    #     else:
+    #         # TODO - This is bug 6962
+    #         webdriver.ActionChains(self.driver).click(database_node).perform()
+    #         if self.check_if_element_exist_by_xpath(
+    #         TreeAreaLocators.database_node_exp_status(database_name)):
+    #             database_expanded = True
+    #     print("click_to_expand_database_node> db_node_expanded_status - ",
+    #     database_expanded)
+    #     return database_expanded
+    #
+
+    def expand_database_child_node(self, server_group_name, server_name,
+                                   server_password, database_name,
+                                   database_child_node_name):
+        """
+        Method expands specified database's child
+        :param server_group_name:
+        :param server_name:
+        :param server_password:
+        :param database_name:
+        :param database_child_node_name:
+        :return:
+        """
+        database_child_expanded = False
+        database_child_node_xpath = \
+            TreeAreaLocators.database_child_node(
+                database_name, database_child_node_name)
+        database_child_node_exp_status_xpath = \
+            TreeAreaLocators.database_child_node_exp_status(
+                database_name, database_child_node_name)
+
+        if self.expand_database_node(server_group_name, server_name,
+                                     server_password, database_name):
+            child_node_ele = self.check_if_element_exists_with_scroll(
+                database_child_node_xpath)
+            if child_node_ele:
+                if self.check_if_element_exist_by_xpath(
+                        database_child_node_exp_status_xpath, 1):
+                    database_child_expanded = True
+                else:
+                    database_child_expanded = self.click_to_expand_tree_node(
+                        child_node_ele, database_child_node_exp_status_xpath)
+            else:
+                print("Node not found - ", database_child_node_name,
+                      file=sys.stderr)
+        else:
+            print("The database/previous nodes not expanded", file=sys.stderr)
+        return database_child_expanded
+
+    def expand_schemas_node(self, server_group_name, server_name,
+                            server_password, database_name):
+        """
+        Method expands Schemas node under specified server & database
+        :param server_group_name:
+        :param server_name:
+        :param server_password:
+        :param database_name:
+        :return:
+        """
+        return self.expand_database_child_node(server_group_name, server_name,
+                                               server_password, database_name,
+                                               "Schemas")
+
+    def expand_schema_node(self, server_group_name, server_name,
+                           server_password, database_name, schema_name):
+        """
+        Method expands schema node
+        :param server_group_name:
+        :param server_name:
+        :param server_password:
+        :param database_name:
+        :param schema_name:
+        :return:
+        """
+        schema_expanded = False
+        schema_node_xpath = TreeAreaLocators.schema_node(schema_name)
+        schema_node_exp_xpath = TreeAreaLocators.schema_node_exp_status(
+            schema_name)
+
+        if self.expand_schemas_node(server_group_name, server_name,
+                                    server_password, database_name):
+            schema_node = self.check_if_element_exists_with_scroll(
+                schema_node_xpath)
+            if schema_node:
                 self.driver.execute_script(
-                    self.js_executor_scrollintoview_arg,
-                    sub_nodes_schemas_node[index_of_schema_node])
-                webdriver.ActionChains(self.driver).double_click(
-                    sub_nodes_schemas_node[index_of_schema_node]).perform()
-                if self.wait_for_elements_to_appear(
-                    self.driver, TreeAreaLocators.
-                        sub_nodes_of_schema_node(name_of_database)):
-                    expansion_status = True
+                    self.js_executor_scrollintoview_arg, schema_node)
+                if self.check_if_element_exist_by_xpath(
+                        schema_node_exp_xpath, 1):
+                    schema_expanded = True
+                else:
+                    schema_expanded = self.click_to_expand_tree_node(
+                        schema_node, schema_node_exp_xpath)
             else:
-                expansion_status = True
+                print("Schema node not found - ", file=sys.stderr)
         else:
-            print(
-                "(expand_schema_node) schema/previous nodes are"
-                " not expanded",
-                file=sys.stderr)
-        return expansion_status
-
-    def toggle_open_tables_node(
-        self, server_name, server_password,
-            name_of_database, name_of_schema_node):
-        """will expand tables node under schema node"""
-        node_expanded_successfully = False
-        if self.toggle_open_schema_node(
-            server_name, server_password, name_of_database,
-                name_of_schema_node):
-            sub_nodes_of_schema_node = self.find_by_xpath_list(
-                TreeAreaLocators.sub_nodes_of_schema_node(
-                    name_of_database))
-            sub_nodes_of_schema_node_exp_status = self.find_by_xpath_list(
-                TreeAreaLocators.sub_nodes_of_schema_node_exp_status(
-                    name_of_database))
-            index_of_tables_node = self.get_index_of_element(
-                sub_nodes_of_schema_node, "Tables")
-            expansion_status = self.get_expansion_status_of_node_element(
-                sub_nodes_of_schema_node_exp_status[index_of_tables_node])
-            if not expansion_status:
-                self.driver.execute_script(self.js_executor_scrollintoview_arg,
-                                           sub_nodes_of_schema_node[
-                                               index_of_tables_node])
-                webdriver.ActionChains(self.driver).double_click(
-                    sub_nodes_of_schema_node[
-                        index_of_tables_node]).perform()
-                if self.wait_for_elements_to_appear(
-                    self.driver, TreeAreaLocators.
-                        sub_nodes_of_tables_node):
-                    node_expanded_successfully = True
+            print("The schemas/previous nodes not expanded", file=sys.stderr)
+        return schema_expanded
+
+    def expand_tables_node(self, server_group, server_name, server_password,
+                           database_name, schema_name):
+        """
+        Method expands tables nodes under schema
+        :param server_group:
+        :param server_name:
+        :param server_password:
+        :param database_name:
+        :param schema_name:
+        :return:
+        """
+        return self.expand_schema_child_node(server_group, server_name,
+                                             server_password, database_name,
+                                             schema_name, "Tables")
+
+    def expand_schema_child_node(self, server_group_name, server_name,
+                                 server_password, database_name, schema_name,
+                                 schema_child_node_name):
+        """
+        Expands specified child node of schema
+        :param server_group_name:
+        :param server_name:
+        :param server_password:
+        :param database_name:
+        :param schema_name:
+        :param schema_child_node_name:
+        :return:
+        """
+        schema_child_expanded = False
+        schema_child_node_xpath = TreeAreaLocators. \
+            schema_child_node(schema_name, schema_child_node_name)
+        schema_child_node_exp_status_check_xpath = TreeAreaLocators. \
+            schema_child_node_exp_status(schema_name, schema_child_node_name)
+
+        if self.expand_schema_node(server_group_name, server_name,
+                                   server_password, database_name,
+                                   schema_name):
+            child_node_ele = self.check_if_element_exists_with_scroll(
+                schema_child_node_xpath)
+            if child_node_ele:
+                if self.check_if_element_exist_by_xpath(
+                        schema_child_node_exp_status_check_xpath, 1):
+                    schema_child_expanded = True
+                else:
+                    schema_child_expanded = self.click_to_expand_tree_node(
+                        child_node_ele,
+                        schema_child_node_exp_status_check_xpath)
             else:
-                node_expanded_successfully = True
+                print("%s node not found - ", schema_child_node_name,
+                      file=sys.stderr)
         else:
-            print(
-                "(expand_tables_node) schema/previous nodes "
-                "are not expanded",
-                file=sys.stderr)
-        return node_expanded_successfully
+            print("The schema/previous nodes not expanded", file=sys.stderr)
+        return schema_child_expanded
 
+    # TODO Not used any where to be removed
     def toggle_open_function_node(self):
         """The function will be used for opening Functions node only"""
         node_expanded = False
